﻿
<div id="lookup-ship" class="modal fade" data-backdrop="static">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <span class="close" data-dismiss="modal">&times;</span>
                Select Shipper
            </div>
            <div class="modal-body">
                <table id="table-lookup-ship" class="table table-striped table-bordered" style="width: 100%"></table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><i class="glyphicon glyphicon-remove"></i> Close</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    var lookupship = {
                dt: null,
                init: function () {
                    dt = $("#table-lookup-ship").DataTable({
                        serverSide: true,
                        processing: true,
                        scrollX: true,
                        ajax: {
                            url: "@Url.Action("Get", "Shippers")"
                        },
                        aaSorting: [[1, 'asc']],
                        columns: [
                            {
                                data: 'ShipperID', render: function () {
                                    return '<a href="javascript:" onclick="selectShip(this)"><i class="glyphicon glyphicon-ok"></i></a>';
                                },
                                sortable: false
                            },
                            { title: 'Shipper ID', data: 'ShipperID' },
                            { title: 'Company Name', data: 'CompanyName' },
                            { title: 'Phone', data: 'Phone' } 
                        ],
                        lengthMenu: [[5, 10, 25, 50, 100], [5, 10, 25, 50, 100]]
                    });

                },
                refresh: function () {
                    dt.ajax.reload();
                }
    };

    lookupship.init();

    function lookupShipper() {
        $("#lookup-ship").modal();
    }

    function selectShip(e) {
        var tr = $(e).parent().parent();
        $("#Order_ShipVia").val(tr.children("td:eq(1)").text());
        $("#Shipper_CompanyName").val(tr.children("td:eq(2)").text());
        $("#lookup-ship").modal('hide');
    }
</script>


